cURL
curl --request PUT \
--url https://api.brightdata.com/api/{PARTNER_NAME}/ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"country_city": "<string>"
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/ips"
payload = {
"country": "<string>",
"country_city": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: '<string>', country_city: '<string>'})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip": [
"1.1.1.1",
"2.2.2.2"
]
}Reseller API
分配 IP
PUT
/
api
/
{PARTNER_NAME}
/
ips
cURL
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
将处理您请求的代理区域名称。
响应
200 - application/json
成功
示例:
["1.1.1.1", "2.2.2.2"]
此页面对您有帮助吗?